#!/usr/bin/perl

use strict;
use warnings;

for (my $n = 100; $n <= 1000; $n += 100)
{
    print("./gen_adj_matrix $n 6\n");
    system('./gen_adj_matrix', $n, 6);
    print("./floyd-sequential adjacency.dat\n");
    system('./floyd-sequential', 'adjacency.dat');
    print("./floyd-parallel adjacency.dat\n");
    system('./floyd-parallel', 'adjacency.dat');
}
